Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitDelegatePerBodyProcessor

    java.lang.Object
      com.vordel.circuit.FilterContainer
          com.vordel.circuit.MessageProcessor
              com.vordel.circuit.CircuitDelegateProcessor
                  com.vordel.circuit.CircuitDelegatePerBodyProcessor

    public class CircuitDelegatePerBodyProcessor

extends CircuitDelegateProcessor

Field Summary

Fields inherited from class com.vordel.circuit.CircuitDelegateProcessor
`circuit`

Fields inherited from class com.vordel.circuit.MessageProcessor
`logMask, logMaskType`

Constructor Summary
`CircuitDelegatePerBodyProcessor()`

Method Summary
`boolean` | `invoke(CircuitInvocation c, Message m)` invoked by circuit to act on a message

Methods inherited from class com.vordel.circuit.CircuitDelegateProcessor
`filterAttached, setReferenceContext`

Methods inherited from class com.vordel.circuit.MessageProcessor
`filterDetached, getCategory, getLogMask, logFailure, logFatal, logMessagePayload, logSuccess, report, report, toString`

Methods inherited from class com.vordel.circuit.FilterContainer
`configureFilter, createFilterContainer, getFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CircuitDelegatePerBodyProcessor

    public CircuitDelegatePerBodyProcessor()

Method Detail

### invoke

    public boolean invoke(CircuitInvocation c,
                          Message m)
                   throws CircuitAbortException

  Description copied from class: `MessageProcessor`
  invoked by circuit to act on a message

  Overrides:
    `invoke` in class `CircuitDelegateProcessor`
  Parameters:
    `c` - The CircuitInvocation context, including the filter's owner circuit.
    `m` - The message
  Returns:
    predicate indicating success of filter execution
  Throws:
    `CircuitAbortException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel